Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ActClassObservationSeries

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ActClassObservationSeries

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ActClassObservationSeries

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Act Class Observation Series', and utility methods for working with them. specDomain: V18875 (C-0-D11527-V13856-V11529-V18875-cpt)

See Also:
  `CDAR2Package.getActClassObservationSeries()`

Field Summary
`static int` | `OBSCOR` The 'OBSCOR' literal value.
`static ActClassObservationSeries` | `OBSCOR_LITERAL` The 'OBSCOR' literal object.
`static int` | `OBSSER` The 'OBSSER' literal value.
`static ActClassObservationSeries` | `OBSSER_LITERAL` The 'OBSSER' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Act Class Observation Series' enumerators.

Method Summary
`static ActClassObservationSeries` | `get(int value)` Returns the 'Act Class Observation Series' literal with the specified integer value.
`static ActClassObservationSeries` | `get(java.lang.String literal)` Returns the 'Act Class Observation Series' literal with the specified literal value.
`static ActClassObservationSeries` | `getByName(java.lang.String name)` Returns the 'Act Class Observation Series' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBSSER

    public static final int OBSSER

  The 'OBSSER' literal value.

  If the meaning of 'OBSSER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OBSSER_LITERAL`, Constant Field Values

### OBSCOR

    public static final int OBSCOR

  The 'OBSCOR' literal value.

  If the meaning of 'OBSCOR' literal object isn't clear, there really should be more of a description here...

  See Also:
    `OBSCOR_LITERAL`, Constant Field Values

### OBSSER_LITERAL

    public static final ActClassObservationSeries OBSSER_LITERAL

  The 'OBSSER' literal object.

  See Also:
    `OBSSER`

### OBSCOR_LITERAL

    public static final ActClassObservationSeries OBSCOR_LITERAL

  The 'OBSCOR' literal object.

  See Also:
    `OBSCOR`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Act Class Observation Series' enumerators.

Method Detail

### get

    public static ActClassObservationSeries get(java.lang.String literal)

  Returns the 'Act Class Observation Series' literal with the specified literal value.

### getByName

    public static ActClassObservationSeries getByName(java.lang.String name)

  Returns the 'Act Class Observation Series' literal with the specified name.

### get

    public static ActClassObservationSeries get(int value)

  Returns the 'Act Class Observation Series' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD